Name:		ssbd
Version:	0.10
Release:	1%{?dist}
Summary:	Voice keyer for use in hamradio

Group:		Applications/Communications
License:	GPLv2
URL:		http://tucnak.nagano.cz/ssbd0en.html
Source0:	http://tucnak.nagano.cz/%{name}-%{version}.tar.gz
Source1:	ssbd.sysconfig
Source2:	ssbd.init
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	glib-devel
BuildRequires:	libsndfile-devel
#Requires:	

%description
Ssbd (SSB daemon) is voice keyer for use in hamradio.
It's written as part of Tucnak, contest log for VHF contests,
but is possible to use ssbd with arbitrary other program

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

#prevent this to be packed twice
rm -rf $RPM_BUILD_ROOT/%{_docdir}/%{name}/*

mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_sysconfdir}/{sysconfig,rc.d/init.d}
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/ssbd
install -m 755 %{SOURCE2} %{buildroot}%{_sysconfdir}/rc.d/init.d/ssbd


%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add ssbd

%preun
if [ $1 = 0 ]; then
 /sbin/service ssbd stop > /dev/null 2>&1
 /sbin/chkconfig --del ssbd
fi

%postun
if [ "$1" -ge "1" ] ; then
 /sbin/service ssbd condrestart >/dev/null 2>&1 || :
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO
%doc doc/ssbd.html
%doc doc/ssbd0cz.html
%doc doc/ssbd0en.html
%doc doc/ssbd.gif
%doc doc/ssbd.ps doc/ssbd.sch
%{_sysconfdir}/rc.d/init.d/ssbd
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_sbindir}/%{name}



%changelog
* Tue Sep 02 2008 Lucian Langa <cooly@gnome.eu.org> - 0.10-1
- initial specfile
